TestGemExtCmakeBuilder#test_self_build failed in ja_JP.UTF-8 locale
Status: Closed
Assignee: drbrain (Eric Hodel)

Target version: 2.0.0
Description

TestGemExtCmakeBuilder#test_self_build failed in ja_JP.UTF-8 locale.
It should set locale C before invoking make.
Attached patch will revolve this issue.

1. Failure:
test_self_build(TestGemExtCmakeBuilder) [.../ruby/test/rubygems/test_gem_ext_cmake_builder.rb:46]:
--- expected
+++ actual

@@ -1+1,3 @@

+"make[1]: 000000 ...Amprtestitest_rubygems_16184/ext' D000 +make[1]: DOO000 ...tmp/test/test_rubygems_16184/ext’

+

Related issues:
Related to Ruby - Bug #7563: test of gem_ext_cmake_builder in another directory Closed 12/15/2012

Associated revisions

Revision b06dfe594e0e4709d41f101ee7e9ecbb85728728 - 12/18/2012 03:16 AM - drbrain (Eric Hodel)

e lib/rubygems/specification.rb: Fixed ruby output of requirements
with multiple version specifiers.

¢ test/rubygems/test_gem_ext_cmake_builder.rb: Only look for specific
lines in cmake output. Should fix [ruby-trunk - Bug #7579]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38438 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision b06dfe59 - 12/18/2012 03:16 AM - drbrain (Eric Hodel)

* lib/rubygems/specification.rb: Fixed ruby output of requirements
with multiple version specifiers.

® test/rubygems/test_gem_ext_cmake_builder.rb: Only look for specific
lines in cmake output. Should fix [ruby-trunk - Bug #7579]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38438 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/17/2012 08:06 PM - luislavena (Luis Lavena)

- Status changed from Open to Assigned

#2 - 12/18/2012 12:16 PM - drbrain (Eric Hodel)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r38438.
Kazuhiro, thank you for reporting this issue.
Your contribution to Ruby is greatly appreciated.
May Ruby be with you.
e |ib/rubygems/specification.rb: Fixed ruby output of requirements
with multiple version specifiers.

* test/rubygems/test_gem_ext_cmake_builder.rb: Only look for specific
lines in cmake output. Should fix [ruby-trunk - Bug #7579]

#3 - 12/18/2012 07:37 PM - znz (Kazuhiro NISHIYAMA)
| confirmed this issue fixed.

Thank you.

Files

test_gem_ext_cmake_builder.rb.diff 519 Bytes 12/17/2012 znz (Kazuhiro NISHIYAMA)
